import { AxiosInstance, AxiosRequestConfig } from "axios";
interface Dict {
    [key: string]: any;
}
declare class AxiosFactory {
    cookies: string[];
    tokens: Dict;
    config: Dict;
    axiosClient: AxiosInstance;
    verified: boolean;
    constructor(config: any, axiosConfig: AxiosRequestConfig, cache: any);
    init(): void;
    login(): Promise<void>;
    createAxiosClient(axiosConfig: AxiosRequestConfig): AxiosInstance;
}
export default AxiosFactory;
